# Function makeThunk

- makeThunk(
  request: ThunkRequest ,
  ): {
  controller: AbortController;
  event: TrustedEvent ;
  request: ThunkRequest ;
  result: Deferred < ThunkStatusByUrl >;
  status: Writable< ThunkStatusByUrl >;
  }

- #### Parameters

  - request: ThunkRequest

  #### Returns {
  controller: AbortController;
  event: TrustedEvent ;
  request: ThunkRequest ;
  result: Deferred < ThunkStatusByUrl >;
  status: Writable< ThunkStatusByUrl >;
  }

  - Defined in packages/app/src/thunk.ts:53